# Uses of Class
org.eclipse.core.databinding.UpdateSetStrategy

Packages that use UpdateSetStrategy
Package
Description
org.eclipse.core.databinding
Provides classes for binding observable objects, for example UI widgets and model objects.

## Uses of UpdateSetStrategy in org.eclipse.core.databinding

Methods in org.eclipse.core.databinding that return UpdateSetStrategy
Modifier and Type
Method
Description
`static <S, D> UpdateSetStrategy<S,D>`
UpdateSetStrategy.`create(IConverter<S,D> converter)`
Convenience method that creates an `UpdateValueStrategy` with the given converter.
`protected <M, T> UpdateSetStrategy<M,T>`
DataBindingContext.`createModelToTargetUpdateSetStrategy(IObservableSet<M> modelObservableSet, IObservableSet<T> targetObservableSet)`
Returns an update value strategy to be used for copying value set from the model set to the target set.
`protected <T, M> UpdateSetStrategy<T,M>`
DataBindingContext.`createTargetToModelUpdateSetStrategy(IObservableSet<T> targetObservableSet, IObservableSet<M> modelObservableSet)`
Returns an update value strategy to be used for copying value set from the target set to the model set.
`static <S, D> UpdateSetStrategy<S,D>`
UpdateSetStrategy.`never()`
Convenience method that creates an update strategy that never updates its observables, using `POLICY_NEVER` and no defaults.
`UpdateSetStrategy<S,D>`
UpdateSetStrategy.`setConverter(IConverter<S,D> converter)`
Sets the converter to be invoked when converting added elements from the source element type to the destination element type.
Methods in org.eclipse.core.databinding with parameters of type UpdateSetStrategy
Modifier and Type
Method
Description
`final <T, M> Binding`
DataBindingContext.`bindSet(IObservableSet<T> targetObservableSet, IObservableSet<M> modelObservableSet, UpdateSetStrategy<? super T,? extends M> targetToModel, UpdateSetStrategy<? super M,? extends T> modelToTarget)`
Creates a `Binding` to synchronize the values of two `observable sets`.
Constructors in org.eclipse.core.databinding with parameters of type UpdateSetStrategy
Modifier
Constructor
Description
``
`SetBinding(IObservableSet<T> target, IObservableSet<M> model, UpdateSetStrategy<? super T,? extends M> targetToModelStrategy, UpdateSetStrategy<? super M,? extends T> modelToTargetStrategy)`